import { src, dest } from 'gulp';
import zip from 'gulp-zip';
import pjson from './package.json';

export default function() {
	return src( [
		'dist/**/*',
		'templates/**/*',
		'tinymce/**/*',
		'*.php',
		'cogicon.svg',
		'LICENSE',
		'readme.txt',
		'screenshot*.png',
	], {
		base: './',
	} )
		.pipe( zip( `cognito-forms-${ pjson.version }.zip` ) )
		.pipe( dest( '.' ) );
}
